import javax.swing.*;
import java.awt.*;

public class MainFrame extends JFrame {

    private CardLayout cardLayout;
    private JPanel mainPanel;

    public MainFrame() {
        setTitle("Spiel UI mit CardLayout");
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setSize(800, 600);

        // Erstelle das CardLayout und das Hauptpanel
        cardLayout = new CardLayout();
        mainPanel = new JPanel(cardLayout);

        // Erstelle die verschiedenen Panels
        MainMenuPanel mainMenuPanel = new MainMenuPanel(this);
        LocalGamePanel localGamePanel = new LocalGamePanel(this);
        MultiplayerGamePanel multiplayerGamePanel = new MultiplayerGamePanel(this);

        // Füge die Panels dem CardLayout hinzu
        mainPanel.add(mainMenuPanel, "MainMenu");
        mainPanel.add(localGamePanel, "LocalGame");
        mainPanel.add(multiplayerGamePanel, "MultiplayerGame");

        // Setze das Hauptpanel in das JFrame
        add(mainPanel);

        // Zeige das Hauptmenü an
        cardLayout.show(mainPanel, "MainMenu");
    }

    // Methode, um die Ansicht zu wechseln
    public void showPanel(String panelName) {
        cardLayout.show(mainPanel, panelName);
    }

    public static void main(String[] args) {
        SwingUtilities.invokeLater(() -> {
            MainFrame frame = new MainFrame();
            frame.setVisible(true);
        });
    }
}
